Subject: Re: [PATCHv2] gitweb: Better regexp for SHA-1 committag match

From: Jakub Narebski <[email-masked]>
Date: Sat, 7 Feb 2009 11:09:27 +0100

On Sat, 7 Feb 2009, demerphq wrote:
> 2009/2/7 Jakub Narebski <[email-masked]>:
>> Junio C Hamano wrote:
>>> Jakub Narebski <[email-masked]> writes:
>>>
>>>> It would unfortunately falsely match... but we cannot eliminate this
>>>> case (well, at least not checking if hexnumber is followed by dot),
>>>> because of totally legitimate
>>>>
>>>>    ... at commit 8457bb9e.
>>>>
>>>> So even with that we would have still false matches...
>>>
>>> Yeah, so what's the value in v2 over v1?  It is still wrong but it is less
>>> wrong than it used to be?  I think the word-boundary one made a good
>>> sense.  I do not see the @lookahead adding much value at all.
>>
>> Right. So v2 is less useful that I thought it to be; and adding further
>> "exceptions" doesn't seem like a good idea.  The 'msgid' committag
>> when/if it gets implemented would help there...
>>
>> So please take v1, as it is sane improvement and generic enough.
> 
> If you make it configurable then everybody can be happy right?

That are the long term plans, to implement generic 'committags' support
(which would include current SHA-1 and signoff committags).

BTW. it is the 'configurable' part that makes it difficult... ;-)
-- 
Jakub Narebski
Poland